Skip to main content

Create Job

POST 

/projects/:projectId/providers/Aruba.Schedule/jobs

Create Job

Request

Path Parameters

    projectId stringrequired

    unique identifier of the project CMP

Query Parameters

    api-version string

    The requested API version

    Default value: 1

Body

the schedule to create

    metadata

    object

    Metadata of the resource

    name string

    Name of the resource

    location

    object

    Contains information about the Region of a resource

    value string

    Value of the region in which the resource will be located. Available regions at present:

    • ITBG-Bergamo

    For more information, check the documentation.

    tags string[]nullable

    List of tags for the resource

    properties

    object

    Properties required to configure and schedule a job.

    enabled boolean

    Defines whether the job is enabled. Default is true.

    scheduleJobType TypeScheduleJob (string)

    For more information, check the documentation.

    Possible values: [OneShot, Recurring]

    scheduleAt date-timenullable

    Date and time when the job should run. Required only for "OneShot" jobs.

    For more information, check the documentation.

    executeUntil date-timenullable

    End date until which the job can run. Required only for "Recurring" jobs.

    For more information, check the documentation.

    cron stringnullable

    CRON expression that defines the recurrence of the job.

    For more information, check the documentation.

    steps

    object[]

    nullable

    Step that will be executed as part of the scheduled job.

  • Array [

  • name stringnullable

    Descriptive name of the step.

    For more information, check the documentation.

    resourceUri string

    URI of the resource on which the action will be performed.

    actionUri string

    URI of the action to execute on the resource.

    For more information, check the documentation.

    httpVerb string

    HTTP verb to be used for the action (e.g., GET, POST, PUT, DELETE).

    For more information, check the documentation.

    body stringnullable

    Optional HTTP request body to send with the action.

    For more information, check the documentation.

  • ]

Responses

Created

Schema

    metadata

    object

    id stringnullable
    uri stringnullable
    name stringnullable

    project

    object

    id stringnullable
    folderId stringnullable
    tags string[]nullable

    category

    object

    name stringnullable
    provider stringnullable

    typology

    object

    id stringnullable
    name stringnullable
    creationDate date-timenullable
    createdBy stringnullable
    ownerId stringnullable
    updateDate date-timenullable
    updatedBy stringnullable
    version stringnullable
    createdUser stringnullable
    updatedUser stringnullable
    managedBy stringnullable

    status

    object

    state stringnullable
    creationDate date-timenullable
    failureReason stringnullable

    error

    object

    reason stringnullable
    message stringnullable

    properties

    object

    enabled boolean
    scheduleJobType TypeScheduleJob (string)

    Possible values: [OneShot, Recurring]

    scheduleAt date-timenullable
    executeUntil date-timenullable
    cron stringnullable
    recurrency RecurrenceType (string)

    Possible values: [Hourly, Daily, Weekly, Monthly, Custom]

    steps

    object[]

    nullable

  • Array [

  • name stringnullable
    resourceUri stringnullable
    actionUri stringnullable
    actionName stringnullable
    typology stringnullable
    typologyName stringnullable
    httpVerb stringnullable
    body stringnullable
  • ]

  • nextExecution date-timenullable
    deactiveReason DeactiveReasonDto (string)

    Possible values: [None, Manual, ResourceDeleted]

Loading...